<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Welcome to BayesWave’s documentation! &mdash; BayesWave 0.1 documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Installation" href="gettingStarted.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="#" class="icon icon-home"> BayesWave
            <img src="_static/GW150914_LHO_100ms_noborder.png" class="logo" alt="Logo"/>
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">General Info:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="gettingStarted.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="fairUse.html">Use of BayesWave in Scientific Publications</a></li>
<li class="toctree-l1"><a class="reference internal" href="workflow.html">BayesWave Workflow</a></li>
<li class="toctree-l1"><a class="reference internal" href="algo.html">Algorith Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="setupRun.html">Setting up a Run</a></li>
<li class="toctree-l1"><a class="reference internal" href="output.html">Using BayesWave Output</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Examples:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="xmlInj.html">Simulated signal from xml file</a></li>
<li class="toctree-l1"><a class="reference internal" href="GW150914.html">Real Data</a></li>
<li class="toctree-l1"><a class="reference internal" href="MDC.html">Burst style MDCs</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">BayesWave</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="#" class="icon icon-home"></a></li>
      <li class="breadcrumb-item active">Welcome to BayesWave’s documentation!</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="welcome-to-bayeswave-s-documentation">
<h1>Welcome to BayesWave’s documentation!<a class="headerlink" href="#welcome-to-bayeswave-s-documentation" title="Permalink to this heading"></a></h1>
<p>A Bayesian algorithm designed to robustly distinguish gravitational wave signals
from noise and instrumental glitches without relying on any prior assumptions of waveform morphology.
BayesWave produces posterior probability distributions directly on gravitational wave
signals and instrumental glitches, allowing robust, morphology-independent waveform reconstruction.
See arXiv:1410.3835 for an introduction to the BayesWave
algorithm.
LSC/Virgo members: See the BayesWave wiki for further info</p>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">General Info:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="gettingStarted.html">Installation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="gettingStarted.html#option-1-running-on-cit">Option 1: Running on CIT</a></li>
<li class="toctree-l2"><a class="reference internal" href="gettingStarted.html#option-2-conda-forge">Option 2: Conda forge</a></li>
<li class="toctree-l2"><a class="reference internal" href="gettingStarted.html#option-3-installing-from-source">Option 3: Installing from source</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="fairUse.html">Use of BayesWave in Scientific Publications</a><ul>
<li class="toctree-l2"><a class="reference internal" href="fairUse.html#license">License</a></li>
<li class="toctree-l2"><a class="reference internal" href="fairUse.html#citing-bayeswave">Citing BayesWave</a><ul>
<li class="toctree-l3"><a class="reference internal" href="fairUse.html#citing-the-scientific-publications-that-describe-the-algorithms">Citing the scientific publications that describe the algorithms</a></li>
<li class="toctree-l3"><a class="reference internal" href="fairUse.html#citing-the-bayeswave-software">Citing the BayesWave Software</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="workflow.html">BayesWave Workflow</a><ul>
<li class="toctree-l2"><a class="reference internal" href="workflow.html#bayeswave-pipe"><code class="code docutils literal notranslate"><span class="pre">bayeswave_pipe</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="workflow.html#bayeswave"><code class="code docutils literal notranslate"><span class="pre">BayesWave</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="workflow.html#bayeswavepost"><code class="code docutils literal notranslate"><span class="pre">BayesWavePost</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="workflow.html#megaplot-py"><code class="code docutils literal notranslate"><span class="pre">megaplot.py</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="workflow.html#megasky-py"><code class="code docutils literal notranslate"><span class="pre">megasky.py</span></code></a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="algo.html">Algorith Overview</a><ul>
<li class="toctree-l2"><a class="reference internal" href="algo.html#basis-functions">Basis functions</a></li>
<li class="toctree-l2"><a class="reference internal" href="algo.html#reversible-jump-markov-chain-monte-carlo">Reversible jump Markov chain Monte Carlo</a><ul>
<li class="toctree-l3"><a class="reference internal" href="algo.html#signal-model">Signal model</a></li>
<li class="toctree-l3"><a class="reference internal" href="algo.html#glitch-model">Glitch model</a></li>
<li class="toctree-l3"><a class="reference internal" href="algo.html#joint-model">Joint model</a></li>
<li class="toctree-l3"><a class="reference internal" href="algo.html#cbc-model">CBC Model</a></li>
<li class="toctree-l3"><a class="reference internal" href="algo.html#model-selection">Model Selection</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="algo.html#power-spectral-density-estimation">Power Spectral Density Estimation</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="setupRun.html">Setting up a Run</a><ul>
<li class="toctree-l2"><a class="reference internal" href="setupRun.html#config-files">Config files</a><ul>
<li class="toctree-l3"><a class="reference internal" href="setupRun.html#input"><code class="code docutils literal notranslate"><span class="pre">[input]</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="setupRun.html#engine"><code class="code docutils literal notranslate"><span class="pre">[engine]</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="setupRun.html#datafind"><code class="code docutils literal notranslate"><span class="pre">[datafind]</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="setupRun.html#bayeswave-options"><code class="code docutils literal notranslate"><span class="pre">[bayeswave_options]</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="setupRun.html#run-parameters">Run parameters</a></li>
<li class="toctree-l4"><a class="reference internal" href="setupRun.html#model-parameters">Model parameters</a></li>
<li class="toctree-l4"><a class="reference internal" href="setupRun.html#priors-and-proposals">Priors and Proposals</a></li>
<li class="toctree-l4"><a class="reference internal" href="setupRun.html#parallel-tempering-parameters">Parallel Tempering parameters</a></li>
<li class="toctree-l4"><a class="reference internal" href="setupRun.html#lalinference-injection-options">LALInference injection options</a></li>
<li class="toctree-l4"><a class="reference internal" href="setupRun.html#burst-mdc-injection-options">Burst MDC injection options</a></li>
<li class="toctree-l4"><a class="reference internal" href="setupRun.html#bayeswave-internal-injection-bayeswave-options">BayesWave internal injection bayeswave_options</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="setupRun.html#bayeswave-post-options"><code class="code docutils literal notranslate"><span class="pre">[bayeswave_post_options]</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="setupRun.html#injections"><code class="code docutils literal notranslate"><span class="pre">[injections]</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="setupRun.html#condor"><code class="code docutils literal notranslate"><span class="pre">[condor]</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="setupRun.html#running-bayeswave-pipe">Running <code class="code docutils literal notranslate"><span class="pre">bayeswave_pipe</span></code></a><ul>
<li class="toctree-l3"><a class="reference internal" href="setupRun.html#positional-arguments">positional arguments</a></li>
<li class="toctree-l3"><a class="reference internal" href="setupRun.html#options">options</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="setupRun.html#launching-the-bayeswave-job">Launching the BayesWave Job</a><ul>
<li class="toctree-l3"><a class="reference internal" href="setupRun.html#using-condor">Using Condor</a></li>
<li class="toctree-l3"><a class="reference internal" href="setupRun.html#without-condor">Without Condor</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="output.html">Using BayesWave Output</a><ul>
<li class="toctree-l2"><a class="reference internal" href="output.html#bayeswave">BayesWave</a><ul>
<li class="toctree-l3"><a class="reference internal" href="output.html#chain-files">Chain files</a></li>
<li class="toctree-l3"><a class="reference internal" href="output.html#evidence-files">Evidence files</a></li>
<li class="toctree-l3"><a class="reference internal" href="output.html#psds">PSDs</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="output.html#bayeswavepost">BayesWavePost</a><ul>
<li class="toctree-l3"><a class="reference internal" href="output.html#waveform-reconstructions">Waveform Reconstructions</a></li>
<li class="toctree-l3"><a class="reference internal" href="output.html#waveform-moments-and-other-characteristics">Waveform Moments and other Characteristics</a></li>
<li class="toctree-l3"><a class="reference internal" href="output.html#q-scans">Q-Scans</a></li>
<li class="toctree-l3"><a class="reference internal" href="output.html#injections">Injections</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="output.html#megaplot-and-output-pages">Megaplot and Output Pages</a></li>
</ul>
</li>
</ul>
</div>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">Examples:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="xmlInj.html">Simulated signal from xml file</a><ul>
<li class="toctree-l2"><a class="reference internal" href="xmlInj.html#making-an-xml-file">Making an XML file</a></li>
<li class="toctree-l2"><a class="reference internal" href="xmlInj.html#option-1-injecting-into-simulated-noise">Option 1: Injecting into simulated noise</a><ul>
<li class="toctree-l3"><a class="reference internal" href="xmlInj.html#config-file">Config file</a></li>
<li class="toctree-l3"><a class="reference internal" href="xmlInj.html#call-to-bayeswave-pipe">Call to <code class="code docutils literal notranslate"><span class="pre">bayeswave_pipe</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="xmlInj.html#option-2-injecting-into-real-data">Option 2: Injecting into real data</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="GW150914.html">Real Data</a><ul>
<li class="toctree-l2"><a class="reference internal" href="GW150914.html#gw150914">GW150914</a><ul>
<li class="toctree-l3"><a class="reference internal" href="GW150914.html#config-file">Config file</a></li>
<li class="toctree-l3"><a class="reference internal" href="GW150914.html#call-to-bayeswave-pipe">Call to <code class="code docutils literal notranslate"><span class="pre">bayeswave_pipe</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="MDC.html">Burst style MDCs</a><ul>
<li class="toctree-l2"><a class="reference internal" href="MDC.html#making-an-mdc-cache">Making an MDC cache</a></li>
<li class="toctree-l2"><a class="reference internal" href="MDC.html#injecting-into-real-noise">Injecting into real noise</a><ul>
<li class="toctree-l3"><a class="reference internal" href="MDC.html#config-file">Config file</a></li>
<li class="toctree-l3"><a class="reference internal" href="MDC.html#call-to-bayeswave-pipe">Call to <code class="code docutils literal notranslate"><span class="pre">bayeswave_pipe</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="MDC.html#injecting-into-simulated-data">Injecting into simulated data</a><ul>
<li class="toctree-l3"><a class="reference internal" href="MDC.html#id1">Config file</a></li>
<li class="toctree-l3"><a class="reference internal" href="MDC.html#id2">Call to <code class="code docutils literal notranslate"><span class="pre">bayeswave_pipe</span></code></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</section>
<section id="indices-and-tables">
<h1>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Permalink to this heading"></a></h1>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></p></li>
<li><p><a class="reference internal" href="py-modindex.html"><span class="std std-ref">Module Index</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></p></li>
</ul>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="gettingStarted.html" class="btn btn-neutral float-right" title="Installation" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, Meg Millhouse.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>